<?php

namespace App\Commands;

use Illuminate\Console\Scheduling\Schedule;
use LaravelZero\Framework\Commands\Command;
use Netson\L4W\L4W;

class Redes_wifi extends Command
{
    
    /**
     * The signature of the command.
     *
     * @var string
     */
    protected $signature = 'app:redes_wifi';

    /**
     * The description of the command.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $l4w = new L4W();
        $networks = $l4w->scan();
        
        foreach ($networks as $network) {
            echo $network->name . '<br>';
            echo $network->strength . '<br>';
            // Otros datos disponibles: $network->mac, $network->encryptionType, $network->channel, etc.
            echo '<br>';
        }
    }

    /**
     * Define the command's schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    public function schedule(Schedule $schedule): void
    {
        // $schedule->command(static::class)->everyMinute();
    }
}
